package com.cyksj.service.sora;

import com.cyksj.model.request.SoraCodeAddReq;
import com.cyksj.model.request.SoraCodeUpdateReq;

/**
 * Sora邀请码Service接口
 *
 * @author system
 * @date 2025-10-13
 */
public interface SoraCodeService {

    /**
     * 添加Sora邀请码
     */
    void addSoraCode(SoraCodeAddReq req);

    /**
     * 更新Sora邀请码
     */
    void updateSoraCode(SoraCodeUpdateReq req);

    /**
     * 删除Sora邀请码
     */
    void deleteSoraCode(Long id);
}